<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>
    <meta property="profile:username" content="{{ site.activity_pub_profile }}"/>
    {% comment %}
    No tenemos forma de hashear SASS aún, por lo que renovamos la caché
    aplicando la hora de compilación del sitio.  Es importante que los
    CSS se renueven cuando se regenera el sitio, porque pueden contener
    variables dinámicas (como personalización de colores y tipografía) o
    minificarse distinto dependiendo del contenido.
    {% endcomment %}
    <link href="assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet" data-turbo-track="reload">

    {% include_cached pack.html %}

    {% comment %}
    Agregar otras tipografías.  Esto hace que las tipografías se carguen
    lo más rápido posible y minimizar el tiempo en que se ven las del
    navegador.  En Firefox todavía no está soportado.

    Fork Awesome lleva la hora de generación para poder renovarlo si
    agregamos íconos nuevos, de lo contrario puede quedar cacheado para
    siempre y les visitantes van a ver íconos rotos.
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">

    {% if page.activity %}
      {% include_cached activity_pub/alternate.html id=page.activity.id %}
    {% endif %}

    {%- if site.actor -%}
      <link rel="me" href="{{ site.actor.id }}" />
      {% include_cached activity_pub/alternate.html id=site.actor.id %}
    {%- endif -%}

    {% seo %}
    {% feed_meta %}

    {% if page.url == '/' %}
      {% for locale in site.locales %}
        <link rel="alternate" hreflang="{{ locale }}" href="../{{ locale }}/" />
      {% endfor %}

      <link rel="alternate" hreflang="x-default" href="../{{ site.default_locale }}/" />
    {% else %}
      {% for locale in page.locales %}
        <link rel="alternate" hreflang="{{ locale.collection }}" href="../{{ locale.url }}" />

        {% if locale.collection == site.default_locale %}
          <link rel="alternate" hreflang="x-default" href="../{{ locale.url }}" />
        {% endif %}
      {% endfor %}

      {% if site.locale == site.default_locale %}
        <link rel="alternate" hreflang="x-default" href="../{{ page.url }}" />
      {% endif %}
    {% endif %}

    {% for social_network in site.about.social_networks %}
      <link rel="me" href="{{ social_network }}" />
    {% endfor %}
  </head>
  <body>
    <div data-turbo-permanent>
      <a href="#content" data-turbo="false" class="sr-only sr-only-focusable">
        {{ site.i18n.accessibility.skip_to_content }}
      </a>

      {%- include_cached notification.html -%}

      {% comment %}
      Esta imagen obtiene una cookie desde la API de Sutty para autorizar el
      envío del formulario.
      {% endcomment %}
      <img class="d-none invisible" src="https://api.{{ site.hostname }}/v1/sites/{{ site.hostname }}/contact/cookie.png" />
    </div>

    {%- include_cached menu.html active_cache_key=page.layout %}

    <main tabindex="-1" role="main" id="content" data-controller="scroll" data-per-page="100">
      {{ content }}
    </main>

     {% include_cached floating_alert.html %}
    {% assign theme = site.posts | find: 'layout', 'theme' %}
    {% if theme.testing == true %}
    <div data-turbo-permanent>
      {% include_cached device_detector.html %}
    </div>
    {% endif %}
  </body>
</html>
